<div id="app" v-cloak>
    <el-card class="box-card">
        <el-form class="search" :inline="true" :model="vm" ref="vm" label-position="right" label-width="90px">
            <el-form-item label="任务ID" prop="id">
                <el-input v-model="vm.id" clearable size="mini" placeholder="请输入任务名称"></el-input>
            </el-form-item>
            <el-form-item label="任务名称" prop="name">
                <el-input v-model="vm.name" clearable size="mini" placeholder="请输入任务名称"></el-input>
            </el-form-item>
            <el-form-item label="是否有效" prop="run">
                <el-radio-group v-model="vm.run" clearable size="mini">
                    <el-radio :label="true">是</el-radio>
                    <el-radio :label="false">否</el-radio>
                </el-radio-group>
            </el-form-item>
            <el-form-item>
                <el-button type="primary" size="mini" icon="el-icon-search" @click="onSearch">搜索</el-button>
                <el-button type="warning" size="mini" icon="el-icon-refresh-left" @click="onReset('vm')">重置</el-button>
            </el-form-item>
        </el-form>
    </el-card>

    <el-card class="box-card">
        <el-table
                class="data"
                @selection-change="onSelectionChange"
                empty-text="无数据"
                :data="result"
                size="mini">
            <el-table-column
                    align="center"
                    type="selection"
                    width="45">
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="id"
                    label="主键"
                    width="140">
            </el-table-column>
            <el-table-column
                    align="center"
                    width="140"
                    prop="name"
                    label="任务名称">
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="run"
                    label="是否有效">
                <template slot-scope="scope">
                    <el-tag size="mini" effect="dark" type="success" v-if="scope.row.run">运行</el-tag>
                    <el-tag size="mini" effect="dark" type="danger" v-if="!scope.row.run">暂停</el-tag>
                </template>
            </el-table-column>
            <el-table-column
                    align="center"
                    fixed="right"
                    width="120"
                    label="操作">
                <template slot-scope="scope">
                    <wb-dropdown :arg="scope.row">
                        <wb-dropdown-item value="编辑" icon="el-icon-edit" @click="onEdit"></wb-dropdown-item>
                        <wb-dropdown-item value="删除" icon="el-icon-delete" @click="onDelete"></wb-dropdown-item>
                    </wb-dropdown>
                </template>
            </el-table-column>
        </el-table>
    </el-card>
</div>
<script>
    var app = new Vue({
        mixins: [mixin],
        el: "#app",
        data: {
            module: 'system',
            target: 'schedule',
            vm: {//条件及分页参数
                pageNumber: 1,
                pageSize: 10,
                totalCount: 0,
                sortKey: 'CREATE_TIME',
                sortType: 'DESC'
            },
            form: {//待提交表单
                title: "",
                dialog: false,
                id: '',
                valid: "",
                rowVersion: ""
            },
            formRules: {

            },
            treeData: []
        },
        methods: {
            onCreate: function () {
                this.form.title = "资源新增";
                this.form.dialog = true;
                this.form.id = "";
                this.form.resCode = "";
                this.form.resName = "";
                this.form.resType = "";
                this.form.resValue = "";
                this.form.valid = true;
            },
            onEdit: function (item) {
                this.form.title = "资源编辑";
                this.form.dialog = true;
                this.form.id = item.id;
                this.form.resCode = item.resCode;
                this.form.resName = item.resName;
                this.form.resType = item.resType;
                this.form.resValue = item.resValue;
                this.form.valid = item.valid;
                this.form.rowVersion = item.rowVersion;
            },
            onDelete: function (item) {
                this.$confirm('将删除该项, 是否继续?', '提示', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(function () {
                    new Ajax("system", "schedule").delete({id: item.id},function (response) {
                        if (response.errors.length > 0) {
                            nav.e(response.errors[0].message);
                        } else {
                            nav.s("删除成功");
                            this.onFind();
                        }
                    }.bind(this))
                }.bind(this)).catch(function (action) {

                });
            },
            onChange: function (value) {
                this.$refs.tree.filter(value);
            },
            filterTree: function (value, data) {
                if (!value) return true;
                return data.comment.indexOf(value) !== -1;
            },
        },
        mounted: function () {
            this.onFind();
        }
    })
</script>
